Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ode.daohib.bpel.hobj
Class HCorrelationSet

    java.lang.Object
      org.apache.ode.daohib.bpel.hobj.HObject
          org.apache.ode.daohib.bpel.hobj.HCorrelationSet

    public class HCorrelationSet

extends HObject

Hibernate table representing correlation set values.

Field Summary
`static java.lang.String` | `DELETE_CORSETS_BY_INSTANCE`
`static java.lang.String` | `DELETE_CORSETS_BY_PROCESS`
`static java.lang.String` | `SELECT_ACTIVE_CORSETS`
`static java.lang.String` | `SELECT_CORSETS_BY_INSTANCES`

Constructor Summary
`HCorrelationSet()`
`HCorrelationSet(HScope scope, java.lang.String name)`

Method Summary
`HProcessInstance` | `getInstance()`
`java.lang.String` | `getName()`
`HProcess` | `getProcess()`
`java.util.Collection<HCorrelationProperty>` | `getProperties()`
`HScope` | `getScope()`
`java.lang.String` | `getValue()`
`void` | `setInstance(HProcessInstance instance)`
`void` | `setName(java.lang.String name)`
`void` | `setProcess(HProcess process)`
`void` | `setProperties(java.util.Collection<HCorrelationProperty> properties)`
`void` | `setScope(HScope scope)`
`void` | `setValue(java.lang.String value)`

Methods inherited from class org.apache.ode.daohib.bpel.hobj.HObject
`getCreated, getId, getLock, setCreated, setId, setLock, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### DELETE_CORSETS_BY_INSTANCE

    public static final java.lang.String DELETE_CORSETS_BY_INSTANCE

See Also:
  Constant Field Values

### DELETE_CORSETS_BY_PROCESS

    public static final java.lang.String DELETE_CORSETS_BY_PROCESS

See Also:
  Constant Field Values

### SELECT_CORSETS_BY_INSTANCES

    public static final java.lang.String SELECT_CORSETS_BY_INSTANCES

See Also:
  Constant Field Values

### SELECT_ACTIVE_CORSETS

    public static final java.lang.String SELECT_ACTIVE_CORSETS

See Also:
  Constant Field Values

Constructor Detail

### HCorrelationSet

    public HCorrelationSet()

### HCorrelationSet

    public HCorrelationSet(HScope scope,
                           java.lang.String name)

Method Detail

### getValue

    public java.lang.String getValue()

### setName

    public void setName(java.lang.String name)

### setScope

    public void setScope(HScope scope)

### setValue

    public void setValue(java.lang.String value)

### getName

    public java.lang.String getName()

### getScope

    public HScope getScope()

### getInstance

    public HProcessInstance getInstance()

### setInstance

    public void setInstance(HProcessInstance instance)

### getProcess

    public HProcess getProcess()

### setProcess

    public void setProcess(HProcess process)

### getProperties

    public java.util.Collection<HCorrelationProperty> getProperties()

### setProperties

    public void setProperties(java.util.Collection<HCorrelationProperty> properties)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD